## org.ascape.query.parser
Class QTCriteriaSubNode

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  QTOperator, QTValue

    public class QTCriteriaSubNode

extends SimpleNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTCriteriaSubNode(BoolExprTree p, int i)`
`QTCriteriaSubNode(int i)`

Method Summary
`QTCriteria` `getCriteria()`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTCriteriaSubNode

    public QTCriteriaSubNode(int i)

### QTCriteriaSubNode

    public QTCriteriaSubNode(BoolExprTree p,
                             int i)

Method Detail

### getCriteria

    public QTCriteria getCriteria()